/*
 ***************************************************************************
 *
 *	Module Name : usb220_gpib.h
 *
 ***************************************************************************
 */

#ifndef __USB220_GPIB_H
#define __USB220_GPIB_H

#define GPIB_SEND_COMMAND			0x1
#define GPIB_RECV_COMMAND			0x2
#define GPIB_START_INTERRUPT		0x3
#define GPIB_STOP_INTERRUPT			0x4
//#define GPIB_RESET				0x5
#define GPIB_ABORT_PIPE				0x6
//#define GPIB_CLEAR_STALL			0x7
//#define GPIB_DELAY				0x8

struct GpibCommand {
	short length;
	int request;
	int requesttype;
	int value;
	int index;
	void __user *buffer;
	int timeout;
};

#endif // __USB220_GPIB_H
